<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Index &#8212; pandas 2.1.1 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=fa44fd50" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=233b9934" />
    <script src="_static/documentation_options.js?v=841abef3"></script>
    <script src="_static/doctools.js?v=888ff710"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Search" href="search.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#Symbols"><strong>Symbols</strong></a>
 | <a href="#A"><strong>A</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#D"><strong>D</strong></a>
 | <a href="#E"><strong>E</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#H"><strong>H</strong></a>
 | <a href="#I"><strong>I</strong></a>
 | <a href="#J"><strong>J</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#Q"><strong>Q</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#T"><strong>T</strong></a>
 | <a href="#U"><strong>U</strong></a>
 | <a href="#W"><strong>W</strong></a>
 | <a href="#X"><strong>X</strong></a>
 
</div>
<h2 id="Symbols">Symbols</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    --axis

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-agg-a">pandas-agg command line option</a>
</li>
      </ul></li>
      <li>
    --expression

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-eval-e">pandas-eval command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-query-e">pandas-query command line option</a>
</li>
      </ul></li>
      <li>
    --filename

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-read-f">pandas-read command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-write-f">pandas-write command line option</a>
</li>
      </ul></li>
      <li>
    --flat

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-reduce-flat">pandas-reduce command line option</a>
</li>
      </ul></li>
      <li>
    --format

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-read-format">pandas-read command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-tabular-f">pandas-tabular command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-write-format">pandas-write command line option</a>
</li>
      </ul></li>
      <li>
    --func

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-agg-f">pandas-agg command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-groupby-f">pandas-groupby command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-reduce-f">pandas-reduce command line option</a>
</li>
      </ul></li>
      <li>
    --key

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-get-k">pandas-get command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-xs-k">pandas-xs command line option</a>
</li>
      </ul></li>
      <li>
    --num

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-head-n">pandas-head command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-tail-n">pandas-tail command line option</a>
</li>
      </ul></li>
      <li>
    --params

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-concat-p">pandas-concat command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-convert-dtypes-p">pandas-convert-dtypes command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-corr-p">pandas-corr command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-describe-p">pandas-describe command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-drop-p">pandas-drop command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-get-p">pandas-get command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-groupby-p">pandas-groupby command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-idxmax-p">pandas-idxmax command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-idxmin-p">pandas-idxmin command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-info-p">pandas-info command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-join-p">pandas-join command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-melt-p">pandas-melt command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-memory-usage-p">pandas-memory-usage command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-merge-p">pandas-merge command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-pivot-p">pandas-pivot command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-read-p">pandas-read command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-reduce-p">pandas-reduce command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-rename-p">pandas-rename command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-reset-index-p">pandas-reset-index command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-sort-p">pandas-sort command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-sort-index-p">pandas-sort-index command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-stack-p">pandas-stack command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-tabular-p">pandas-tabular command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-unstack-p">pandas-unstack command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-write-p">pandas-write command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-xs-p">pandas-xs command line option</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    --type

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-astype-t">pandas-astype command line option</a>
</li>
      </ul></li>
      <li>
    -a

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-agg-a">pandas-agg command line option</a>
</li>
      </ul></li>
      <li>
    -e

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-eval-e">pandas-eval command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-query-e">pandas-query command line option</a>
</li>
      </ul></li>
      <li>
    -f

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-agg-f">pandas-agg command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-groupby-f">pandas-groupby command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-read-f">pandas-read command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-reduce-f">pandas-reduce command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-tabular-f">pandas-tabular command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-write-f">pandas-write command line option</a>
</li>
      </ul></li>
      <li>
    -k

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-get-k">pandas-get command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-xs-k">pandas-xs command line option</a>
</li>
      </ul></li>
      <li>
    -n

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-head-n">pandas-head command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-tail-n">pandas-tail command line option</a>
</li>
      </ul></li>
      <li>
    -p

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-concat-p">pandas-concat command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-convert-dtypes-p">pandas-convert-dtypes command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-corr-p">pandas-corr command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-describe-p">pandas-describe command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-drop-p">pandas-drop command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-get-p">pandas-get command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-groupby-p">pandas-groupby command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-idxmax-p">pandas-idxmax command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-idxmin-p">pandas-idxmin command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-info-p">pandas-info command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-join-p">pandas-join command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-melt-p">pandas-melt command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-memory-usage-p">pandas-memory-usage command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-merge-p">pandas-merge command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-pivot-p">pandas-pivot command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-read-p">pandas-read command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-reduce-p">pandas-reduce command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-rename-p">pandas-rename command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-reset-index-p">pandas-reset-index command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-sort-p">pandas-sort command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-sort-index-p">pandas-sort-index command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-stack-p">pandas-stack command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-tabular-p">pandas-tabular command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-unstack-p">pandas-unstack command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-write-p">pandas-write command line option</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-xs-p">pandas-xs command line option</a>
</li>
      </ul></li>
      <li>
    -t

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-astype-t">pandas-astype command line option</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.dataframe.agg">agg() (in module src.dataframe)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.dataframe.astype">astype() (in module src.dataframe)</a>
</li>
      <li><a href="api/src.html#src.dataframe.axes">axes() (in module src.dataframe)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.dataframe.columns">columns() (in module src.dataframe)</a>
</li>
      <li><a href="api/src.html#src.general.concat">concat() (in module src.general)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.dataframe.convert_dtypes">convert_dtypes() (in module src.dataframe)</a>
</li>
      <li><a href="api/src.html#src.dataframe.corr">corr() (in module src.dataframe)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="D">D</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.dataframe.describe">describe() (in module src.dataframe)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.dataframe.drop">drop() (in module src.dataframe)</a>
</li>
      <li><a href="api/src.html#src.dataframe.dtypes">dtypes() (in module src.dataframe)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="E">E</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.dataframe.empty">empty() (in module src.dataframe)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.dataframe.eval">eval() (in module src.dataframe)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.common.generator">generator() (in module src.common)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.dataframe.get">get() (in module src.dataframe)</a>
</li>
      <li><a href="api/src.html#src.dataframe.groupby">groupby() (in module src.dataframe)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="H">H</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.dataframe.head">head() (in module src.dataframe)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="I">I</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.dataframe.idxmax">idxmax() (in module src.dataframe)</a>
</li>
      <li><a href="api/src.html#src.dataframe.idxmin">idxmin() (in module src.dataframe)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.dataframe.index">index() (in module src.dataframe)</a>
</li>
      <li><a href="api/src.html#src.dataframe.infer_objects">infer_objects() (in module src.dataframe)</a>
</li>
      <li><a href="api/src.html#src.dataframe.info">info() (in module src.dataframe)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="J">J</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.general.join">join() (in module src.general)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.general.melt">melt() (in module src.general)</a>
</li>
      <li><a href="api/src.html#src.dataframe.memory_usage">memory_usage() (in module src.dataframe)</a>
</li>
      <li><a href="api/src.html#src.general.merge">merge() (in module src.general)</a>
</li>
      <li>
    module

      <ul>
        <li><a href="api/src.html#module-src">src</a>
</li>
        <li><a href="api/src.html#module-src.app">src.app</a>
</li>
        <li><a href="api/src.html#module-src.common">src.common</a>
</li>
        <li><a href="api/src.html#module-src.dataframe">src.dataframe</a>
</li>
        <li><a href="api/src.html#module-src.general">src.general</a>
</li>
        <li><a href="api/src.html#module-src.inout">src.inout</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    pandas-agg command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-agg-a">--axis</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-agg-f">--func</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-agg-a">-a</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-agg-f">-f</a>
</li>
      </ul></li>
      <li>
    pandas-astype command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-astype-t">--type</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-astype-t">-t</a>
</li>
      </ul></li>
      <li>
    pandas-concat command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-concat-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-concat-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-convert-dtypes command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-convert-dtypes-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-convert-dtypes-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-corr command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-corr-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-corr-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-describe command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-describe-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-describe-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-drop command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-drop-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-drop-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-eval command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-eval-e">--expression</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-eval-e">-e</a>
</li>
      </ul></li>
      <li>
    pandas-get command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-get-k">--key</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-get-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-get-k">-k</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-get-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-groupby command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-groupby-f">--func</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-groupby-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-groupby-f">-f</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-groupby-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-head command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-head-n">--num</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-head-n">-n</a>
</li>
      </ul></li>
      <li>
    pandas-idxmax command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-idxmax-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-idxmax-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-idxmin command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-idxmin-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-idxmin-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-info command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-info-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-info-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-join command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-join-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-join-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-melt command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-melt-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-melt-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-memory-usage command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-memory-usage-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-memory-usage-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-merge command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-merge-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-merge-p">-p</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    pandas-pivot command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-pivot-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-pivot-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-query command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-query-e">--expression</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-query-e">-e</a>
</li>
      </ul></li>
      <li>
    pandas-read command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-read-f">--filename</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-read-format">--format</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-read-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-read-f">-f</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-read-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-reduce command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-reduce-flat">--flat</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-reduce-f">--func</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-reduce-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-reduce-f">-f</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-reduce-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-rename command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-rename-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-rename-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-reset-index command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-reset-index-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-reset-index-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-sort command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-sort-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-sort-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-sort-index command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-sort-index-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-sort-index-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-stack command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-stack-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-stack-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-tabular command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-tabular-f">--format</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-tabular-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-tabular-f">-f</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-tabular-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-tail command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-tail-n">--num</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-tail-n">-n</a>
</li>
      </ul></li>
      <li>
    pandas-unstack command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-unstack-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-unstack-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-write command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-write-f">--filename</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-write-format">--format</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-write-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-write-f">-f</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-write-p">-p</a>
</li>
      </ul></li>
      <li>
    pandas-xs command line option

      <ul>
        <li><a href="pandas.html#cmdoption-pandas-xs-k">--key</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-xs-p">--params</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-xs-k">-k</a>
</li>
        <li><a href="pandas.html#cmdoption-pandas-xs-p">-p</a>
</li>
      </ul></li>
      <li><a href="api/src.html#src.common.params_to_dict">params_to_dict() (in module src.common)</a>
</li>
      <li><a href="api/src.html#src.general.pivot">pivot() (in module src.general)</a>
</li>
      <li><a href="api/src.html#src.app.process_commands">process_commands() (in module src.app)</a>
</li>
      <li><a href="api/src.html#src.common.processor">processor() (in module src.common)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="Q">Q</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.dataframe.query">query() (in module src.dataframe)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.inout.read">read() (in module src.inout)</a>
</li>
      <li><a href="api/src.html#src.dataframe.reduce">reduce() (in module src.dataframe)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.dataframe.rename">rename() (in module src.dataframe)</a>
</li>
      <li><a href="api/src.html#src.dataframe.reset_index">reset_index() (in module src.dataframe)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.dataframe.shape">shape() (in module src.dataframe)</a>
</li>
      <li><a href="api/src.html#src.dataframe.size">size() (in module src.dataframe)</a>
</li>
      <li><a href="api/src.html#src.dataframe.sort">sort() (in module src.dataframe)</a>
</li>
      <li><a href="api/src.html#src.dataframe.sort_index">sort_index() (in module src.dataframe)</a>
</li>
      <li>
    src

      <ul>
        <li><a href="api/src.html#module-src">module</a>
</li>
      </ul></li>
      <li>
    src.app

      <ul>
        <li><a href="api/src.html#module-src.app">module</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    src.common

      <ul>
        <li><a href="api/src.html#module-src.common">module</a>
</li>
      </ul></li>
      <li>
    src.dataframe

      <ul>
        <li><a href="api/src.html#module-src.dataframe">module</a>
</li>
      </ul></li>
      <li>
    src.general

      <ul>
        <li><a href="api/src.html#module-src.general">module</a>
</li>
      </ul></li>
      <li>
    src.inout

      <ul>
        <li><a href="api/src.html#module-src.inout">module</a>
</li>
      </ul></li>
      <li><a href="api/src.html#src.dataframe.stack">stack() (in module src.dataframe)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="T">T</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.dataframe.tabular">tabular() (in module src.dataframe)</a>
</li>
      <li><a href="api/src.html#src.dataframe.tail">tail() (in module src.dataframe)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.inout.to_html">to_html() (in module src.inout)</a>
</li>
      <li><a href="api/src.html#src.dataframe.transpose">transpose() (in module src.dataframe)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="U">U</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.dataframe.unstack">unstack() (in module src.dataframe)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="W">W</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.inout.write">write() (in module src.inout)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="X">X</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/src.html#src.dataframe.xs">xs() (in module src.dataframe)</a>
</li>
  </ul></td>
</tr></table>



          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">pandas</a></h1>








<h3>Navigation</h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="pandas.html">Reference</a></li>
<li class="toctree-l1"><a class="reference internal" href="license.html">License</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Branden Kappes.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
    </div>

    

    
  </body>
</html>